import React from 'react';
import type { Signal } from '@mongodb-js/compass-components';
import type { CompletionWithServerInfo } from '@mongodb-js/compass-editor';
type OptionEditorProps = {
    id?: string;
    hasError?: boolean;
    hasAutofix?: boolean;
    onChange: (value: string) => void;
    onApply?(): void;
    onBlur?(): void;
    placeholder?: string | HTMLElement;
    schemaFields?: CompletionWithServerInfo[];
    serverVersion?: string;
    value?: string;
    ['data-testid']?: string;
    insights?: Signal | Signal[];
};
export declare const OptionEditor: React.FunctionComponent<OptionEditorProps>;
declare const ConnectedOptionEditor: import("react-redux").ConnectedComponent<React.FunctionComponent<OptionEditorProps>, {
    value?: string | undefined;
    "data-testid"?: string | undefined;
    id?: string | undefined;
    placeholder?: string | HTMLElement | undefined;
    onBlur?: (() => void) | undefined;
    onChange: (value: string) => void;
    hasError?: boolean | undefined;
    hasAutofix?: boolean | undefined;
    onApply?: (() => void) | undefined;
    insights?: Signal | Signal[] | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedOptionEditor;
//# sourceMappingURL=option-editor.d.ts.map