import React from 'react';
import type { RecentQuery } from '@mongodb-js/my-queries-storage';
import type { BaseQuery } from '../../constants/query-properties';
type RecentActions = {
    onFavorite: (query: RecentQuery, name: string) => Promise<boolean>;
    onDelete: (id: string) => void;
    onApply: (query: BaseQuery) => void;
};
declare const _default: import("react-redux").ConnectedComponent<({ queries, onDelete, onFavorite: _onFavorite, onApply, onSaveFavorite, }: RecentActions & {
    queries: {
        _id: string;
        _lastExecuted: Date;
        _ns: string;
        _host?: string | undefined;
        filter?: any;
        project?: any;
        collation?: any;
        sort?: any;
        skip?: number | undefined;
        limit?: number | undefined;
    }[];
    onSaveFavorite: () => void;
}) => JSX.Element, {
    onSaveFavorite: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=recent-list.d.ts.map