import React from 'react';
import type { Signal } from '@mongodb-js/compass-components';
import type { QueryProperty } from '../constants/query-properties';
export declare const documentEditorLabelContainerStyles: string;
type QueryOptionProps = {
    id: string;
    name: QueryProperty;
    value?: string;
    hasError: boolean;
    onChange: (name: QueryProperty, value: string) => void;
    placeholder?: string | HTMLElement;
    onApply?(): void;
    insights?: Signal | Signal[];
};
declare const ConnectedQueryOption: import("react-redux").ConnectedComponent<React.FunctionComponent<QueryOptionProps>, {
    id: string;
    placeholder?: string | HTMLElement | undefined;
    name: QueryProperty;
    onApply?: (() => void) | undefined;
    insights?: Signal | Signal[] | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedQueryOption;
//# sourceMappingURL=query-option.d.ts.map