import type { BaseQuery, QueryFormFields } from '../constants/query-properties';
export declare function mapFormFieldsToQuery(fields: QueryFormFields): BaseQuery;
export declare function doesQueryHaveExtraOptionsSet(fields?: QueryFormFields): boolean;
export declare function parseQueryAttributesToFormFields(query: Record<string, unknown>): QueryFormFields;
export declare function mapQueryToFormFields(query?: BaseQuery, onlyValid?: boolean): QueryFormFields;
export declare function isQueryValid(fields: QueryFormFields): boolean;
export declare function validateField(field: string, value: string): any;
export declare function isQueryFieldsValid(fields: QueryFormFields): boolean;
export declare function isEqualDefaultQuery(fields: QueryFormFields): boolean;
//# sourceMappingURL=query.d.ts.map